#include <stdio.h>

void
main(int argc, char* argv[])
{
  FILE* f;
  int i;

  if (argc != 2)
    {
      printf("Usage: %s <firmware-binary-file>\n", argv[0]);
      exit(-1);
    };

  f = fopen(argv[1],"rb");
  printf("/*\n"
	 " * The firmware carried within this file is a product of FORE Systems, Inc.\n"
	 " */\n\n"
	 "#define PCA200E_FIRMWARE \\\n  \"");
  i=0;
  while (!feof(f))
    {
      printf("\\%03o",(unsigned char) getc(f));
      if (i++ == 15)
	{
	  i=0;
	  printf("\" \\\n  \"");
	};
    };
  printf("\"\n");
  fclose(f);
};
